FreeBSD : ghostscript -- zseticcspace() function buffer overflow vulnerability (ca8e56d5-e856-11dc-b5af-0017319806e7)

This script is Copyright (C) 2008-2016 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Chris Evans from the Google Security Team reports :

Severity: parsing of evil PostScript file will result in arbitrary
code execution.

A stack-based buffer overflow in the zseticcspace() function in zicc.c
allows remote arbitrary code execution via a malicious PostScript file
(.ps) that contains a long Range array.

See also :

http://scary.beasts.org/security/CESA-2008-001.html
http://www.nessus.org/u?026c7521

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 5.9
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 31376 (freebsd_pkg_ca8e56d5e85611dcb5af0017319806e7.nasl)

Bugtraq ID: 28017

CVE ID: CVE-2008-0411

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now